diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/image-edit.php ./wordpress-3.3/wp-admin/includes/image-edit.php
*** ./wordpress-3.2.1/wp-admin/includes/image-edit.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/image-edit.php	2011-10-18 15:33:34.000000000 -0500
***************
*** 431,437 ****
  
  	$parts = pathinfo($file);
  	$suffix = time() . rand(100, 999);
! 	$default_sizes = apply_filters( 'intermediate_image_sizes', array('large', 'medium', 'thumbnail') );
  
  	if ( isset($backup_sizes['full-orig']) && is_array($backup_sizes['full-orig']) ) {
  		$data = $backup_sizes['full-orig'];
--- 431,437 ----
  
  	$parts = pathinfo($file);
  	$suffix = time() . rand(100, 999);
! 	$default_sizes = get_intermediate_image_sizes();
  
  	if ( isset($backup_sizes['full-orig']) && is_array($backup_sizes['full-orig']) ) {
  		$data = $backup_sizes['full-orig'];
***************
*** 603,609 ****
  		$meta['hwstring_small'] = "height='$uheight' width='$uwidth'";
  
  		if ( $success && ('nothumb' == $target || 'all' == $target) ) {
! 			$sizes = apply_filters( 'intermediate_image_sizes', array('large', 'medium', 'thumbnail') );
  			if ( 'nothumb' == $target )
  				$sizes = array_diff( $sizes, array('thumbnail') );
  		}
--- 603,609 ----
  		$meta['hwstring_small'] = "height='$uheight' width='$uwidth'";
  
  		if ( $success && ('nothumb' == $target || 'all' == $target) ) {
! 			$sizes = get_intermediate_image_sizes();
  			if ( 'nothumb' == $target )
  				$sizes = array_diff( $sizes, array('thumbnail') );
  		}
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/image.php ./wordpress-3.3/wp-admin/includes/image.php
*** ./wordpress-3.2.1/wp-admin/includes/image.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/image.php	2011-09-03 09:18:10.000000000 -0500
***************
*** 138,144 ****
  }
  
  /**
!  * Calculated the new dimentions for a downsampled image.
   *
   * @since 2.0.0
   * @see wp_constrain_dimensions()
--- 138,144 ----
  }
  
  /**
!  * Calculated the new dimensions for a downsampled image.
   *
   * @since 2.0.0
   * @see wp_constrain_dimensions()
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/manifest.php ./wordpress-3.3/wp-admin/includes/manifest.php
*** ./wordpress-3.2.1/wp-admin/includes/manifest.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/manifest.php	2011-08-03 05:19:00.000000000 -0500
***************
*** 158,167 ****
  		array('../wp-includes/js/tinymce/themes/advanced/img/fm.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/img/gotmoxie.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/img/sflogo.png'),
- 		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/butt2.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/fade-butt.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/tabs.gif'),
! 		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/down_arrow.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/progress.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/menu_check.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/menu_arrow.gif'),
--- 158,166 ----
  		array('../wp-includes/js/tinymce/themes/advanced/img/fm.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/img/gotmoxie.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/img/sflogo.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/fade-butt.png'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/tabs.gif'),
! 		array('../wp-includes/images/down_arrow.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/progress.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/menu_check.gif'),
  		array('../wp-includes/js/tinymce/themes/advanced/skins/default/img/menu_arrow.gif'),
